# Summary

## Usage
- [Getting started](docs/01-usage/getting-started.md)
- [Installation](docs/01-usage/installation.md#installation)
- [CI Configuration](docs/01-usage/ci-configuration.md#ci-configuration)
- [Configuration](docs/01-usage/configuration.md#configuration)
- [Plugins](docs/01-usage/plugins.md)
- [Shareable configurations](docs/01-usage/shareable-configurations.md)

## Extensions
- [Available plugins](docs/02-extending/plugins-list.md)
- [Available shareable configuration](docs/02-extending/shareable-configurations-list.md)

## Recipes
- [CI pipelines recipes](docs/03-recipes/ci-pipelines-recipes.md)
  - [CircleCI 2.0 workflows](docs/03-recipes/circleci-workflows.md)
  - [Travis CI](docs/03-recipes/travis.md)
  - [GitLab CI](docs/03-recipes/gitlab-ci.md)
- [Git hosted services](docs/03-recipes/git-hosted-services.md)
  - [Git authentication with SSH keys](docs/03-recipes/git-auth-ssh-keys.md)
- [Package managers and languages](docs/03-recipes/package-managers-and-languages.md)

## Developer guide
- [JavaScript API](docs/04-developer-guide/js-api.md)
- [Plugin development](docs/04-developer-guide/plugin.md)
- [Shareable configuration development](docs/04-developer-guide/shareable-configuration.md)

## Support
- [Resources](docs/05-support/resources.md)
- [Frequently Asked Questions](docs/05-support/FAQ.md)
- [Troubleshooting](docs/05-support/troubleshooting.md)
- [Node version requirement](docs/05-support/node-version.md)
- [Node Support Policy](docs/05-support/node-support-policy.md)
